Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.webdav
Class webdavd

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.httpd
            |
            +--org.w3c.jigsaw.webdav.webdavd

All Implemented Interfaces:
  java.lang.Cloneable, PropertyMonitoring, java.lang.Runnable, ServerHandler, ServerInterface, Status

Direct Known Subclasses:
  webdavsd

public class webdavd
extends httpd

Field Summary

Fields inherited from class org.w3c.jigsaw.http.httpd
`CHECKURL_P, CLIENT_BUFSIZE_P, CLIENT_DEBUG_P, CLIENT_FACTORY_P, CLIENT_PRIORITY_P, CONFIG_P, debug, DEFHOSTIP_P, DISPLAY_URL_ON_ERROR_P, DOCURL_P, EDIT_ROOT_P, FS_SENSITIVITY, host, HOST_P, instances, KEEP_ALIVE_P, KEEP_TIMEOUT_P, LOGGER_P, MAX_LOADED_STORE, MAX_LOADED_STORE_P, port, PORT_P, props, PROPS_P, PUBLIC_P, REQUEST_TIMEOUT_P, root, ROOT_CLASS_P, ROOT_NAME_P, ROOT_P, SERIALIZER_CLASS_P, SERVER_GROUP_P, SERVER_SOFTWARE_P, SERVER_USER_P, SHUFFLER_PATH_P, SPACE_P, STARTUP_P, STORE_SIZE_LIMIT, STORE_SIZE_LIMIT_P, thread, timer, TRACE_P, TRASHDIR_P, url, USE_SM_P, verscount, VERSCOUNT_P, version`

Constructor Summary
`webdavd()`

Method Summary
`protected MimeParserFactory` | `getMimeClientFactory(Client client)`

Methods inherited from class org.w3c.jigsaw.http.httpd
`checkFileSystemSensitivity, checkpoint, checkUpgrade, cleanTempDirectory, cleanup, clone, debug, enumeratePropertySet, errlog, errlog, errlog, errlog, fatal, fatal, getAuthDirectory, getBanner, getClientBufferSize, getClientDebug, getClientKeepConnection, getClientThreadPriority, getConfigDirectory, getConfigResource, getConnectionTimeOut, getDefaultContext, getDocumentationURL, getEditRoot, getHost, getHTMLStatus, getIdentifier, getIndexerDirectory, getIndexersCatalog, getInetAddress, getLocalPort, getLogger, getPort, getProperties, getPropertySet, getRealmsCatalog, getRequestTimeOut, getResourceSpace, getResourceStoreManager, getRoot, getRootDirectory, getRootReference, getShuffler, getSoftware, getSpaceDir, getStatistics, getStoreDirectory, getTempDirectory, getTrashDirectory, getURL, initialize, initializeProperties, initializePropertySets, loadResource, loadRoot, loadStartupClasses, log, log, main, perform, propertyChanged, registerPropertySet, restart, run, shutdown, start, startCheckpoint, trace, trace, usage, warning, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### webdavd

    public webdavd()

Method Detail

### getMimeClientFactory

    protected MimeParserFactory getMimeClientFactory(Client client)

  Overrides:
    `getMimeClientFactory` in class `httpd`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD